Subject: Re: [PATCH v2] clk: keystone: don't cache clock rate

From: Brian Masney <[email-masked]>
Date: Wed, 3 Jun 2026 12:49:19 -0400

Hi Nishanth,

On Wed, Jun 03, 2026 at 11:00:34AM -0500, Nishanth Menon wrote:
> On 12:16-20260512, Nishanth Menon wrote:
> > On 10:51-20260512, Brian Masney wrote:
> > > > Could you clarify if I need to take it via my tree to arnd or if this
> > > > patch will go via the clk tree?
> > > 
> > > Sorry, I'm not sure what Stephen prefers here. An argument could be made
> > > for either approach. I would just go with whatever you have done in the
> > > past.
> > 
> > Thanks Brian for the review.
> > 
> > This usually will go via Stephen. Will wait, just trying to make sure
> > there is no change in expectations (given this patch missed a window).
> > 
> 
> Stephen, I'd like to clarify: would you pick this patch up directly,
> or would like me to send you a PR after collecting sci_clk patches? I am
> OK with either, would prefer to not have wrong expectations.
> 
> I see two patches pending to be queued:
> * this one
> * https://lore.kernel.org/linux-arm-kernel/[email-masked]/

Since Stephen hasn't replied yet, I would just include it in your pull
to him to make sure it gets in.

If he has an issue, then it will be straight forward to make a v2 pull
without this patch.

Brian